import * as pagination from '@zag-js/pagination';
import { ReactNode } from 'react';
type PageItem = Extract<pagination.Api['pages'][number], {
    type: 'page';
}>;
type TweakedPaginationApi<T extends 'noEllipsis' | ''> = Omit<pagination.Api, 'pages'> & {
    pages: T extends 'noEllipsis' ? PageItem[] : pagination.Api['pages'];
};
interface PagesProps<T extends 'noEllipsis' | ''> {
    children: (pagination: TweakedPaginationApi<T>) => ReactNode;
}
export declare const Pages: {
    <T extends "" | "noEllipsis" = "">({ children }: PagesProps<T>): ReactNode;
    displayName: string;
};
export {};
